﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Infragistics
{
    public partial class PruebaTree : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        { }

        private static void ChangeText(Web.UI.NavigationControls.NavItem lNode)
        {
            lNode.Text = "*" + lNode.Text;
        }

        private static void DeleteNode(Web.UI.NavigationControls.DataTreeNode lNode)
        {
            lNode.ParentNode.Nodes.Remove(lNode);
        }

        protected void btnCopy_Click(object sender, EventArgs e)
        {
            WebDataTree2.Nodes[0].Nodes.Add("Node" + new Random().Next(), new Random().Next().ToString());
            WebDataTree2.Nodes[0].Nodes[WebDataTree2.Nodes[0].Nodes.Count - 1].Nodes.Add("subnode");
            WebDataTree2.Nodes[0].Nodes[WebDataTree2.Nodes[0].Nodes.Count - 1].Nodes[0].ImageUrl = "~/funcion.bmp";
        }

        protected void btnChange_Click(object sender, EventArgs e)
        {
            if (WebDataTree2.SelectedNodes.Count > 0)
                ChangeText(WebDataTree2.SelectedNodes[0]);
        }

        protected void btnDelete_Click(object sender, EventArgs e)
        {
            if (WebDataTree2.SelectedNodes.Count > 0)
                DeleteNode(WebDataTree2.SelectedNodes[0]);
        }
    }
}